- Qt 6.10
- Qt GUI
- C++ Classes
- QAccessibleTextSelectionEvent
- Qt 6.10.2 Reference Documentation

# QAccessibleTextSelectionEvent Class

QAccessibleTextSelectionEvent signals a change in the text selection of an object. More...

Header: | `#include <QAccessibleTextSelectionEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QAccessibleTextCursorEvent

- List of all members, including inherited members

## Public Functions

| QAccessibleTextSelectionEvent(QAccessibleInterface *iface, int start, int end)
| QAccessibleTextSelectionEvent(QObject *object, int start, int end)
int | selectionEnd() const
int | selectionStart() const
void | setSelection(int start, int end)

## Detailed Description

This class is used with QAccessible::updateAccessibility().

## Member Function Documentation

### QAccessibleTextSelectionEvent::QAccessibleTextSelectionEvent(QAccessibleInterface *iface, int start, int end)

Constructs a new QAccessibleTextSelectionEvent for iface. The new selection this event notifies about is from position start to end.

### QAccessibleTextSelectionEvent::QAccessibleTextSelectionEvent(QObject *object, int start, int end)

Constructs a new QAccessibleTextSelectionEvent for object. The new selection this event notifies about is from position start to end.

### int QAccessibleTextSelectionEvent::selectionEnd() const

Returns the position of the last selected character.

### int QAccessibleTextSelectionEvent::selectionStart() const

Returns the position of the first selected character.

### void QAccessibleTextSelectionEvent::setSelection(int start, int end)

Sets the selection for this event from position start to end.